﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.ProsStudentHelper>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>

    @Content.Script("ChildAddEdit.js", Url)



    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>
    <script src="~/Scripts/HighestQuali.js"></script>

    <style type="text/css">
        div.box div.overlay { display: none; }
        span:hover { color: orangered !important; font-weight: 700; }
        span { color: #369ECE !important; }
        #sidebar { display: none; }
        .cart:hover #sidebar { display: block; }
    </style>


    <script type="text/javascript">
        $(document).ready(function () {

            $("#fdate").datepicker();
            $("#tdate").datepicker();

        });
        deleterecord("MaAdmission");


        $(":text").keypress(function (event) {
            //filter enter key only
            if (event.keyCode == 13) {
                searchfun();
            }
            return true;
        });


        $("#Searchbtn").click(function () {

            searchfun();
        });

        function searchfun() {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();

            var fathername = $("#txtfathername").val();
            var Course = $("#Course").val();

            var Rollno = 0;
            var dt1 = $("#fdate").val();

            var dt2 = $("#tdate").val();
            if ($.isNumeric(Rollno)) {
                var Rollno = $("#txtrollno").val();


            }
            else {
                alert('Roll no must be in integer');
            }
            window.location.href = "/MaAdmission/_searchadmiss?name=" + name + "&&mobile=" + mobile + "&&Rollno=" + Rollno + "&&fdate=" + dt1 + "&&tdate=" + dt2 + "&&fathername=" + fathername + "&&Course=" + Course;
        }



        //coding for lazy - loading
    </script>
    <script type="text/javascript">

        var request;
        function LoadData() {


            // Abort any currently executing request
            if (request) {
                request.abort();
            }

            $('#lazyloading').html('<img id="imgload" src="../../Content/themes/base/images/load.gif" />');



            var rows = $(".table").find('input[type=hidden]').last().val();


            var lastno = $(".table").find('input[type=hidden]').last().attr('class');





            var serviceurl = "/MaAdmission/LoadData";

            request = $.get(serviceurl, { id: rows }, function (data) {


                if (data != '') {

                    $(".table").children("tbody:last").append(data);


                }

                $('#lazyloading').empty();


            });


        };
        var scrollonce = false;
        //        $(window).scroll(function () {

        //            if (scrollonce == false) {
        //                if ($(window).scrollTop() == $(document).height() - $(window).height()) {
        //                    scrollonce = true;

        //                    LoadData();


        //                    scrollonce = false;


        //                }
        //            }
        //        });

    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });

    </script>

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Prosp. Students List
    </h1>
</div>
<ul class="breadcrumb">
    @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="width: 70px" align="left">
                Roll No.
            </td>
            <td style="vertical-align: middle">
                Name
            </td>
            <td>
                Husband/Father
            </td>
            <td style="vertical-align: middle">
                Mobile
            </td>

            @if (StaticLogic.SubRole() == "Max")
            {
                <td>
                    From Date
                </td>
                <td>
                    To Date
                </td>

                <td>
                    Course
                </td>
            }
            <td></td>
        </tr>
        <tr>
            <td>
                <input id="txtrollno" type="text" value="@ViewBag.rollno" style="width: 50px" />
            </td>
            <td>
                <input type="text" style="width: 110px" value="@ViewBag.name" id="txtname" />
            </td>
            <td>
                <input type="text" style="width: 110px" value="@ViewBag.fathername" id="txtfathername" />
            </td>
            <td>
                <input type="text" style="width: 100px" value="@ViewBag.mobile" id="txtmobile" />
            </td>

            @if (StaticLogic.SubRole() == "Max")
            {
                <td>
                    <input type="date" style="width: 80px" value="@ViewBag.fdate" id="fdate" />
                </td>
                <td>
                    <input type="date" style="width: 80px" value="@ViewBag.tdate" id="tdate" />
                </td>
                <td>
                    @Html.DropDownList("Course", null, new { @class = "" })
                </td>
            }
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*@Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table" id="example">
                <thead>
                    <tr>
                        <th>
                            Roll No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Husband/Father
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Exam Date
                        </th>
                        <th>
                            Prosp. Student Date
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                        string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        int _count = db.Tb_MockTest.Where(z => z.StudentId == item.Id).Count();

                        <tr>
                            <td align="left">
                                <input type="hidden" class="@i" value="@item.Id" />
                                @{
                                    if (_count > 0)
                                    {
                                        @Html.ActionLink(item.RollNo.ToString(), "AllTestofStudent", "Tb_MockTest", new { id = item.Id }, new { @class = "myeditAcBtn" })
                                    }
                                    else
                                    {
                                        @Html.DisplayFor(modelItem => item.RollNo)
                                    }
                                }
                            </td>
                            <td>
                                <span onmouseover="showdetail(@item.EnquiryId);" onmouseout="hidedetail();">  @Html.DisplayFor(modelItem => item.FirstName) @Html.DisplayFor(modelItem => item.LastName) </span>
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FatherName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td align="left">
                                @{
                                    DateTime? Dt = db.Tb_IELTSResult.Where(x => x.StudentId == item.Id).OrderByDescending(x => x.Id).Select(x => x.TestDate).FirstOrDefault();
                                    string ExDt = "";
                                    try
                                    {
                                        ExDt = Dt.Value.ToString("dd/MM/yyyy");
                                    }
                                    catch (Exception)
                                    {
                                    }
                                }
                                @ExDt
                            </td>
                            <td align="left">
                                @{string admdate = string.Format("{0:dd MMM,yyyy}", item.Cdate);}
                                @admdate
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @{
                                    int roleid = StaticLogic.RoleId();
                                    if (Permission.CheckPermission(roleid, CommonUtil.ProspStudent, UserAction.Delete) == true)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaAdmission", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                                }
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                @Html.ImageActionLink("../../Content/themes/base/images/Add.png", "Move To Course History", "CourseHistory", "MaAdmission", new { id = item.Id }, null, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Enquiry.png", "Move To Enquiry", "Index", "MaEnquiry", new { enqid = item.EnquiryId }, null, null)
                                <a href="/Tb_MockTest/Index?roll=@item.RollNo" title="MockTest" target="_blank">
                                    <i class="icon-file"></i>
                                </a>


                                @{
                                    //this is for to check the admission entry in avail in mocktest

                                    if (_count > 0)
                                    {

                                        @Html.ImageActionLink("../../Content/themes/base/images/Mocktest.png", "Move To Mock test", "Index", "Tb_MockTest", new { id = item.Id }, null, null)
                                    }

                                }



                                @*@Html.ImageActionLink("../../Content/themes/base/images/ledger.png", "Ledger", "GetLedger", "Tb_Ledger", new { accid = item.Id }, null, null)
                                    @Html.ImageActionLink("../../Content/themes/base/images/feedetail.jpg", "Fee Detail", "StudentFeeDetail", "Tbfeereceipt", new { admid = item.Id }, null, null)*@

                                @{
                                    if (db.Tb_StudLeave.Where(z => z.AdmissionId == item.Id).Count() > 0)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/leave.png", "Leave Detail", "_StudentLeaveList", "TbStudLeave", new { id = item.Id }, new { @target = "_blank", @class = "editAcBtn" }, null)
                                    }

                                    @*    if (item.IsVisaProspect == true)
                                        {
                                            @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Prospective Follow Up", "_AdmissionCreate", "MaEnqFollow", new { id = item.Id, reftype = "Admission" }, new { @class = "editAcBtn" }, null)
                                        }*@


                                DateTime ttdate = DateTime.Parse(System.Configuration.ConfigurationManager.AppSettings["Datee"]);
                                DateTime ccdate = item.Cdate;
                                if (ccdate <= ttdate)
                                {
                                    <div class="cart">
                                        <img src="~/Content/themes/base/images/Documents/@item.StudentPhoto" width="20" height="10" />
                                        <div id="sidebar">
                                            <img src="~/Content/themes/base/images/Documents/@item.StudentPhoto" width="120" height="130" />
                                        </div>
                                    </div>
                                    }
                                    else
                                    {
                                        if (ccdate == null)
                                        {
                                            ccdate = DateTime.Now;
                                        }
                                        <div class="cart">
                                            <img src="~/Content/themes/base/images/Documents/@item.StudentPhoto" width="20" height="10" />
                                            <div id="sidebar">
                                                <img src="~/Content/themes/base/images/Documents/@item.StudentPhoto" width="120" height="130" />
                                            </div>
                                        </div>
                                    }
                                }

                                @{
                                    bool SCount = db.MaAdmissions.Where(x => x.Id == item.Id).Select(x => x.IsLeft).FirstOrDefault();

                                    if (SCount == false)
                                    {
                                        Tb_StudentTransfer tb_stud = db.Tb_StudentTransfer.Where(x => x.StudentId == item.Id).FirstOrDefault();
                                        @*<a href="/MaAdmission/TransferStudent/@item.Id"><i class="icon-caret-right">Transfer</i> </a>*@

                                if (tb_stud != null)
                                {
                                    <p><b>Transferred From <br /> @tb_stud.MaBranch1.BramchName</b> </p>


                                    }
                                }
                                else
                                {
                                    Tb_StudentTransfer tb_stud = db.Tb_StudentTransfer.Where(x => x.OldStudId == item.Id).FirstOrDefault();
                                    if (tb_stud != null)
                                    {
                                        <p><b>Transferred To <br /> @tb_stud.MaBranch.BramchName</b> </p>
                                        }
                                    }

                                }
                            </td>
                            @*<td>
                                    @{
                                        bool SCount = db.MaAdmissions.Where(x => x.Id == item.Id).Select(x => x.IsLeft).FirstOrDefault();

                                        if (SCount == false)
                                        {
                                            Tb_StudentTransfer tb_stud = db.Tb_StudentTransfer.Where(x => x.StudentId == item.Id).FirstOrDefault();


                                            if (tb_stud != null)
                                            {
                                                <p><b>Transfered From <br /> @tb_stud.MaBranch1.BramchName</b> </p>
                                            }
                                        }
                                        else
                                        {
                                            Tb_StudentTransfer tb_stud = db.Tb_StudentTransfer.Where(x => x.OldStudId == item.Id).FirstOrDefault();
                                            if (tb_stud != null)
                                            {
                                                <p><b>Transfered To <br /> @tb_stud.MaBranch.BramchName</b> </p>
                                            }
                                        }

                                    }
                                </td>*@
                        </tr>
                                    }
                </tbody>
            </table>
            <!-- Lazy loading table starts here -->
            <table>
                <tr>
                    <td>
                        <div id="lazyloading" style="text-align: center; position: relative; margin-top: -30px;">
                        </div>
                    </td>
                </tr>
            </table>
            <!-- Lazy loading table ends here -->
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="" style="width: 556px">
        </div>


        @*<table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.Partial("_Pager")
                    </td>
                </tr>
            </table>*@
    </div>
</div>
